W(1)

NOM
w - Afficher les utilisateurs connectés et ce qu'ils font

SYNOPSIS
w - [husfV] [utilisateur]

DESCRIPTION
w affiche des informations sur les utilisateurs actuellement sur la machine, et leur processus. L'en-tête montre, dans cet ordre, l'heure actuelle, depuis quand le système est en route, combien d'utilisateurs sont actuellement connectés, et la moyenne de la charge processeur pour les dernières 1, 5 et 15 minutes.

Les informations qui suivent sont affichées pour chaque utilisateur : nom de connexion (login), nom du terminal (tty), hôte distant, connecté depuis, inactif depuis, JCPU, PCPU, et la ligne de commande de leur processus actuel.

Le temps JCPU est le temps utilisé par tous les processus attachés au terminal.
 Il n'inclut pas les anciens processus en arrière-plan, mais inclut les processus en arrière-plan actuellement en cours.

Le temps PCPU est le temps utilisé par les processus courants, il est indiqué dans la colonne « what ».

OPTIONS DE LIGNE DE COMMANDE

-h  Ne pas afficher l'en-tête.

-u  Ne pas tenir compte du nom de l'utilisateur pour le calcul du processus courant et du temps cpu. Démonstation : faire un « su » et faire un « w » et un « w -u » (Ndt : ne semble pas fonctionner).

-s  Utiliser le format court. Ne pas afficher le temps de connexion, JCPU ou PCPU.

-f  Afficher la colonne from (nom de l'hôte distant). Par défaut, from n'est pas affiché, mais il est possible que votre administrateur ou le mainteneur de votre distribution ait une version compilée dans laquelle la colonne from soit affichée par défaut.

-V  Afficher la version.

utilisateur
    Afficher des informations seulement sur l'utilisateur spécifié.

FICHIERS

/etc/utmp
    Informations sur qui est actuellement connecté.

/proc
    Informations sur les processus.

AUTEURS
w a été presque entièrement réécrit par Charles Blake, basé sur la version de Larry Greenfield <greenfie@gauss.rutgers.edu> et Michael K. Johnson <johnsonm@redhat.com>. Merci d'envoyer les rapports de bogues (en anglais) à <procps-bugs@redhat.com>.

VOIR AUSSI
free(1), ps(1), top(1), uptime(1), who(1), utmp(5)

TRADUCTION

Ce document est une traduction réalisée par L'HOMME Cédric en 2002 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 w ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.